local cockpit = 0
-- 0 = SU-25T
-- 1 = F-15C
-- 2 = A-10A

declare_plugin("T-4",
{
installed 	 = true,
dirName	  	 = current_mod_path,
version		 = "1.5.1",		 
state		 = "installed",
info		 = _("JASDF Training Plane"),

InputProfiles =
	{
		["T-4"]     = current_mod_path .. '/Input/T-4',
	},

Skins	= 
	{
		{
			name	= _("T-4"),
			dir		= "Theme"
		},
	},

--Missions =
--	{
--		{
--			name		= _("T-4"),
--			dir			= "Missions",
--		},
--	},	

LogBook =
	{
		{
			name		= _("T-4"),
			type		= "T-4",
		},
	},	
})
-----------------------------------------------------------------------------------
mount_vfs_model_path(current_mod_path.."/Shapes")
mount_vfs_liveries_path(current_mod_path.."/Liveries")
mount_vfs_texture_path(current_mod_path.."/Textures/T-4")

dofile(current_mod_path..'/T-4-PTB.lua')
dofile(current_mod_path..'/T-4-SMOKEGEN.lua')
dofile(current_mod_path..'/T-4.lua')

if cockpit == 1 then
	mount_vfs_model_path(current_mod_path.."/CockpitF15")
	dofile(current_mod_path.."/Views-F15Pit.lua")
	make_view_settings('T-4', ViewSettings, SnapViews)
	make_flyable('T-4', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', {'T-4', nil, old = 6}, current_mod_path..'/comm.lua')
elseif cockpit == 2 then
	mount_vfs_model_path(current_mod_path.."/CockpitA10")
	dofile(current_mod_path.."/Views-A10APit.lua")
	make_view_settings('T-4', ViewSettings, SnapViews)
	make_flyable('T-4', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', {'T-4', nil, old = 17}, current_mod_path..'/comm.lua')
else
	mount_vfs_model_path(current_mod_path.."/CockpitSU25")
	dofile(current_mod_path.."/Views-SU25TPit.lua")
	make_view_settings('T-4', ViewSettings, SnapViews)
	make_flyable('T-4', 'Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardRight/', nil, current_mod_path..'/comm.lua')
end

plugin_done()-- finish declaration , clear temporal data
